> ## Documentation Index
> Fetch the complete documentation index at: https://hilos-40.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a conversation

> Partially update a Conversation



## OpenAPI

````yaml patch /api/inbox/conversation/{id}/update
openapi: 3.0.3
info:
  title: Hilos API
  version: 1.0.0
  description: >-
    All of the below API endpoints require API key authentication, get your
    token at https://app.hilos.io/dev/api-keys.


    To use this token, send with every request an `Authorization: Token <your
    token>` header.


    Production API server is located at api.hilos.io using HTTPS.


    No versioning info is required for now.
servers:
  - url: https://api.hilos.io
    description: Production Server
security: []
paths:
  /api/inbox/conversation/{id}/update:
    patch:
      tags:
        - Conversation
      summary: Partially Update a Conversation
      description: Partially update a Conversation
      operationId: Partially update a Conversation
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedConversationEdit'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedConversationEdit'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedConversationEdit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationEdit'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedConversationEdit:
      type: object
      properties:
        id:
          type: string
          description: The UUID of the Conversation.
        contact:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/ConversationStatusEnum'
        assigned:
          type: array
          items:
            $ref: '#/components/schemas/AccountMemberUserBasicEdit'
          description: The Users assigned to the Conversation.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ConversationTag'
          description: The Tags assigned to the Conversation.
        created_on:
          type: string
          format: date-time
          readOnly: true
          title: Creado el
        source:
          allOf:
            - $ref: '#/components/schemas/ConversationSourceEnum'
          readOnly: true
        assigned_team:
          type: integer
          description: The ID of the Team assigned to the Conversation.
        channel:
          type: integer
          nullable: true
    ConversationEdit:
      type: object
      properties:
        id:
          type: string
          description: The UUID of the Conversation.
        contact:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/ConversationStatusEnum'
        assigned:
          type: array
          items:
            $ref: '#/components/schemas/AccountMemberUserBasicEdit'
          description: The Users assigned to the Conversation.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/ConversationTag'
          description: The Tags assigned to the Conversation.
        created_on:
          type: string
          format: date-time
          readOnly: true
          title: Creado el
        source:
          allOf:
            - $ref: '#/components/schemas/ConversationSourceEnum'
          readOnly: true
        assigned_team:
          type: integer
          description: The ID of the Team assigned to the Conversation.
        channel:
          type: integer
          nullable: true
      required:
        - assigned
        - contact
        - created_on
        - id
        - source
    ConversationStatusEnum:
      enum:
        - CREATED
        - FLOW
        - FLOW_PAUSED
        - NEW
        - IN_PROGRESS
        - RESOLVED
        - CLOSED
      type: string
    AccountMemberUserBasicEdit:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
    ConversationTag:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 100
      required:
        - id
        - name
    ConversationSourceEnum:
      enum:
        - INBOX
        - AUTO_RESPONSE
        - API
        - BROADCAST
        - FLOW
        - UNKNOWN
      type: string
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````